API ReferenceInboxes
Retrieve all messages
GET
Retrieving all the messages from an inbox
Roles
adminissuermanaged-issuer
Analytics Events
MESSAGING_INBOX_MESSAGE_RETRIEVE_LIST_STARTMESSAGING_INBOX_MESSAGE_RETRIEVE_LIST_SUCCESSMESSAGING_INBOX_MESSAGE_RETRIEVE_LIST_FAIL
bearerAuthheader
AuthorizationBearer <token>id*stringRequested inbox ID
limit?numberRange size of returned list.
Range
1 <= value <= 1000Default
100cursor?stringStarting point for the list of entries.
A list of inbox messages
application/json- response
nextCursor?stringStarting point for next cursor to use in a page
data?array<>Items
2 <= itemscurl -X GET "https://example.com/v1/messaging/inboxes/string/messages"{ "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM", "data": [ { "name": "string", "createdAt": "2019-08-24", "id": "string", "inboxId": "string", "payload": "string" }, { "name": "string", "createdAt": "2019-08-24", "id": "string", "inboxId": "string", "payload": "string" } ]}How would you rate this page?